> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/users > Get user information by user IDs with detailed profile data. ## OpenAPI ````json GET /v1/users { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/users": { "get": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " }, { "name": "id", "in": "query", "description": "", "required": false, "schema": { "type": "string", "example": "example string" } } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1UsersGetResponse" } } } } }, "description": "Get user information by user IDs with detailed profile data." } } }, "components": { "schemas": { "v1UsersGetResponse": { "type": "object", "properties": { "users": { "type": "array", "items": { "$ref": "#/components/schemas/commonUser" } } }, "additionalProperties": false }, "commonUser": { "type": "object", "properties": { "email": { "type": "string", "example": "example string" }, "enterpriseId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "firstName": { "type": "string", "example": "example string" }, "lastActiveAt": { "$ref": "#/components/schemas/googleProtobufTimestamp" }, "lastName": { "type": "string", "example": "example string" }, "mfaFactor": { "type": "string", "example": "example string" }, "phoneNumber": { "type": "string", "example": "example string" }, "timeZone": { "type": "string", "example": "example string" }, "userId": { "type": "string", "example": "example string" }, "verified": { "type": "boolean", "example": true } }, "additionalProperties": false }, "googleProtobufTimestamp": { "type": "object", "properties": { "nanos": { "type": "integer", "format": "int32", "example": 123 }, "seconds": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````